# Wifi Wars Client
#### Global Game Jam (network) Game

## Story
In the dark age of connection losts and speed reduction, telecommunication companies are fighting for each customer.
With your company the destiny of internet in the city is in your hands.

How to play:
- Build Wifi routers and get money from every customer living in that range.
- For different building types you can gain 6, 12 or 24 customers.
- The range of one router has to touch another one.

How to win:
- Reach the $1000 first and win! But be aware, routers are not for free.

Made with ♥ by Dominik Meyer, Martin Jainta, Rustam Miyliyev, Stanislav Saprankou

# Setup
You'll need to install a few things before you have a working copy of the project.

## 1. Install node.js and npm:

https://nodejs.org/en/


## 2. Install dependencies (optionally you can install [yarn](https://yarnpkg.com/)):

Navigate to the cloned repo's directory.

Run:

```npm install``` 

or if you chose yarn, just run ```yarn```

## 3. Run the development server:

Run:

```npm run dev```

This will run a server so you can run the game in a browser. It will also start a watch process, so you can change the source and the process will recompile and refresh the browser automatically.

To run the game, open your browser and enter http://localhost:3000 into the address bar.


## Build for deployment:

Run:

```npm run deploy```

This will optimize and minimize the compiled bundle.

# Credits:

- Dominik Meyer
- Martin Jainta
- Rustam Miyliyev
- Stanislau Saprankou
